Subject: [alpine-devel] [PATCH] testing/grantlee new aport

From: k0r10n <[email-masked]>
Date: Sun, 5 Oct 2014 15:06:57 +0400

---
 testing/grantlee/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/grantlee/APKBUILD

diff --git a/testing/grantlee/APKBUILD b/testing/grantlee/APKBUILD
new file mode 100644
index 0000000..b083b5d
--- /dev/null
+++ b/testing/grantlee/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor:
+# Maintainer:
+pkgname=grantlee
+pkgver=0.4.0
+pkgrel=0
+pkgdesc="Grantlee is a set of free software libraries written using the Qt framework"
+url="http://www.gitorious.org/grantlee/pages/Home"
+arch="all"
+license="LGPL3"
+depends="qt"
+depends_dev="cmake qt-dev doxygen"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.grantlee.org/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	mkdir -p "$_builddir"/build
+}
+
+build() {
+	cd "$_builddir"/build
+	cmake -DCMAKE_INSTALL_PREFIX=/usr "$_builddir" || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"/build
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fa8a2e9be7be7e3a89e700679e6f3014  grantlee-0.4.0.tar.gz"
+sha256sums="13a2d8121392404bb3be4ed470b211bc098cd98da795ef7bf41517d2fb640d3f  grantlee-0.4.0.tar.gz"
+sha512sums="6ff539eb7aaf366487214b02131d67b9967713c42d20314ff56129e9543516fdf2d129b9c3015f0959c89c6f0ee9ad085af91fed4293bd0613d8e888bc850ca7  grantlee-0.4.0.tar.gz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---